% Programa para probar el control de la CALDERA
% F. Morilla, R.Gonzalez-Martin, febrero 2012

clear
% Inicializa el modelo y las condiciones de simulacin
calderainit

% Asigna los parmetros de control de la estructura descentralizada
estructura=[1 1]; % La misma estructura PID en los tres controladores
umin=0;           % El mismo rango 0-100% en las tres seales de control
umax=100; 

lvcu1=0.1;lvcu2=0.1;lvcu3=0.1; % limite velocidad de cambio 10seg/1%

% Juegos de parmetros de control
kp1=5;ti1=25;
kp2=0.1;ti2=10;
kp3=2.5;ti3=25.0;

% parametros del controlador de referencia
% kp1=2.5;ti1=50;
% kp2=0.1;ti2=20;
% kp3=1.25;ti3=50;

td1=0;
td2=0;
td3=0;
alfa=0.1; % El mismo factor de filtro en la accin derivativa para los tres controladores

% Ejecuta la simulacin
vt=0:tm:tiempo;
disp('Simulando ......, espere a que presente los resultados ')
[t,estados,registros]=sim('Control_Caldera',vt);

% Guarda resultados para anlisis y evaluacin
save pruebaCaldera_CL.mat t registros tcambio Yo Yf

% Presenta resultados 
evalua_control_caldera
