% Programa para evaluar el control de la CALDERA
% F. Morilla, R.Gonzalez-Martin, febrero 2012

% Carga resultados de la simulacin correspondiente al controlador que 
% hace de referencia
load pruebaCaldera_CL1.mat 
registrosr=registros;

% Carga resultados de la simulacin correspondiente al controlador que 
% se quiere evaluar
load pruebaCaldera_CL.mat 

t=t/60;
% Presenta los resultados
figure(4)
subplot(3,1,1)
plot(t,registrosr(:,5),t,registros(:,5),t,registros(:,8), 'LineWidth',2)
title('Presin de vapor y consigna (%)')
xlabel('Tiempo (min)')
legend('Caso referencia','Caso a evaluar')
grid

subplot(3,1,2)
plot(t,registrosr(:,6),t,registros(:,6),t,registros(:,9), 'LineWidth',2)
title('Oxgeno en exceso y consigna (%)')
xlabel('Tiempo (min)')
legend('Caso referencia','Caso a evaluar')
grid

subplot(3,1,3)
plot(t,registrosr(:,7),t,registros(:,7),t,registros(:,10), 'LineWidth',2)
title('Nivel en el caldern y consigna (%)')
xlabel('Tiempo (min)')
legend('Caso referencia','Caso a evaluar')
grid


figure(5)
subplot(2,1,1)
plot(t,registros(:,11),t, registros(:,4), 'LineWidth',2)
ylim([40 122])
title('Variables Independientes (%)')
legend('Poder Calorifico(%)', 'Demanda vapor %')
xlabel('Tiempo (min)')
grid

subplot(2,1,2) %dibuja velocidad de cambio
stairs(t(2:length(t)),[diff(registros(:,1:3))/((t(2)-t(1))*60) 0.1*ones(length(t)-1,1) -0.1*ones(length(t)-1,1)], 'LineWidth',2)
ylim([-0.2 0.2])
title('Velocidad de cambio (%)/seg')
xlabel('Tiempo (min)')
legend('Combustible','Aire','Agua de alimentacin')
grid

% subplot(2,1,2) %dibuja puntos de consigna
% plot(t, registros(:,8:10), 'LineWidth',2)
% ylim([18 62])
% title('Puntos de Consigna (%)')
% xlabel('Tiempo (min)')
% legend('SP presion (%)','SP O2(%)','SP nivel(%)')
% grid




figure(6)
subplot(3,1,1)
plot(t,registrosr(:,1),t,registros(:,1), 'LineWidth',2)
title('Caudal de combustible (%)')
xlabel('Tiempo (min)')
legend('Caso referencia','Caso a evaluar')
grid

subplot(3,1,2)
plot(t,registrosr(:,2),t,registros(:,2), 'LineWidth',2)
title('Caudal de aire (%)')
xlabel('Tiempo (min)')
legend('Caso referencia','Caso a evaluar')
grid

subplot(3,1,3)
plot(t,registrosr(:,3),t,registros(:,3), 'LineWidth',2)
title('Caudal de agua de alimentacin (%)')
xlabel('Tiempo (min)')
legend('Caso referencia','Caso a evaluar')
grid
t=t*60;

% Evuala la efectividad relativa del cambio de controlador
J=evaluaJCaldera(t,registrosr,registros,tcambio)